Bug Hunting Session
Bug 98806 - bad import bookmarks from an RTF file
Summary: bad import bookmarks from an RTF file
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.5.2 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.3
Keywords:
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2016-03-21 18:29 UTC by Jean-François
Modified: 2016-10-25 19:08 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
RTF file containing a bookmark "BKSAISIR" on the text "Saisir le texte ici" (10.88 KB, text/plain)
2016-03-24 15:20 UTC, Jean-François
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-François 2016-03-21 18:29:19 UTC
User-Agent:       Mozilla/5.0 (Windows NT 10.0; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/49.0.2623.87 Safari/537.36
Build Identifier: LibreOffice 5.0.5.2

The bookmark text in the RTF file is defined for example by :
{\*\bkmkstart BKSAISIR}Enter text here{\*\bkmkend BKSAISIR}
After import into the libreoffice the bookmark exist, but it is empty.
A mouse click Right on the libreoffice status bar left and click on the bookmark name, selects nothing.

Reproducible: Always

Steps to Reproduce:
1.To Import RTF document containing a text bookmark ({\*\bkmkstart BKSAISIR}Enter text here{\*\bkmkend BKSAISIR})
2.In libreoffice select the bookmark (A mouse click Right on the libreoffice status bar left).
3.
Actual Results:  
You will find that the text of the bookmark is not selected.

Expected Results:  
To select the text of the bookmark.
(Usual behavior for a signed inserted by LibreOffice)

[Information automatically included from LibreOffice]
Locale: fr
Module: TextDocument
[Information guessed from browser]
OS: Windows (All)
OS is 64bit: yes


Reset User Profile?No, but I installed several times LibreOffice.
Comment 1 raal 2016-03-23 08:01:09 UTC Comment hidden (obsolete)
Comment 2 Jean-François 2016-03-24 15:20:23 UTC
Created attachment 123811 [details]
RTF file containing a bookmark "BKSAISIR" on the text "Saisir le texte ici"

If I import the RTF document in LibreOffice and I ask the brand selection "BKSAISIR", nothing happens.
If I do the same thing in OpenOffice, the text "Saisir le texte ici" is selected well.
Comment 3 Miklos Vajna 2016-03-25 21:24:52 UTC
Confirmed.
Comment 4 Commit Notification 2016-03-31 06:40:13 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d922d7da4fa11b8c22bbdffd141fa1398b2fcd4

tdf#98806 RTF import: handle bookmarks in table text

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-04-14 08:18:31 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7dece94d6aa122d69e9740b93597d13347b5cb11&h=libreoffice-5-1

tdf#98806 RTF import: handle bookmarks in table text

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.